Created On:  11 October 2010

Problem:

I am unable to start/attach to an appserver via DevPartner Java. The Java -version is something of this nature:

java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) 64-Bit Server VM (build 16.3-b01, mixed mode)

Resolution:

In this case the Java Virtual Machine is a 64 bit JVM. DevPartner Java requires the JVM have 32 bit library support as the DevPartner Java profiling core is a 32 bit C binary. The solution is to switch to a 32 bit JVM.